EBOOK-META(1)

NAME
ebook-meta - ebook-meta

            ebook-meta ebook_file [options]

Lire/Écrire des métadonnées de/vers des fichiers de livre numérique.

Formats pris en charge pour la lecture des métadonnées: azw, azw1, azw3, azw4, cb7, cbc, cbr, cbz, chm, docx, epub, fb2, fbz, html, htmlz, imp, kepub, lit, lrf, lrx, mobi, odt, oebzip, opf, pdb, pdf, pml, pmlz, pobi, prc, rar, rb, rtf, snb, tpz, txt, txtz, updb, zip

Formats pris en charge pour l’écriture des métadonnées: azw, azw1, azw3, azw4, docx, epub, fb2, fbz, htmlz, kepub, lrf, mobi, odt, pdb, pdf, prc, rtf, tpz, txtz

Différents types de fichiers prennent en charge différentes sortes de métadonnées. Si vous essayer de définir certaines métadonnées sur un type de fichier qui ne le prend pas en charge, les métadonnées seront ignorées sans avertissement.

Chaque fois que vous passez à ebook-meta des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

[OPTIONS]

    --author-sort
        Chaine utilisée pour le tri par auteur. Si non spécifiée, et que le(s) auteur(s) sont spécifié(s), il sera généré automatiquement à partir de(s) (l')auteur(s).

    --authors, -a
        Définir les auteurs. Les auteurs multiples doivent être séparés par le caractère &. Les noms d’auteur devrait être dans l’ordre Prénom Nom.

    --book-producer, -k
        Déterminer le producteur du livre.

    --category
        Définir la catégorie du livre.

    --comments, -c
        Indiquer la description du livre numérique.

    --cover
        Définir la couverture pour le fichier spécifié.

    --date, -d
        Définir la date de publication.

    --disallow-rendered-cover
        Pour les formats comme EPUB qui utilisent une « couverture par défaut » de la première page rendue, interdire ces couvertures par défaut

    --from-opf
        Lire les métadonnées à partir du fichier OPF spécifié et les utiliser pour indiquer les méta-données du livre numérique. Les métadonnées spécifiées en ligne de commande écraseront les métadonnées lues à partir du fichier OPF.

    --get-cover
        Obtenir la couverture du livre numérique et l’enregistrer sous le fichier spécifié.

    --help, -h
        affiche ce message d'aide et quitte

    --identifier
        Définir les identifiants du livre, peut être spécifié à plusieurs reprises. Par exemple: --identifier uri:https://acme.com --identifier isbn:12345. Pour supprimer un identifiant, laissez la valeur en blanc, --identifier isbn: Notez que pour les fichiers EPUB, un identifiant marqué comme identifiant de paquet ne peut pas être supprimé.

    --index, -i
        Déterminer l’index de ce livre numérique dans cette série.

    --isbn
        Déterminer l’ISBN du livre.

    --language, -l
        Déterminer la langue.

    --lrf-bookid
        Définir l’identifiant du livre dans les fichiers LRF

    --publisher, -p
        Indiquer l’éditeur du livre numérique.

    --rating, -r
        Déterminer la note. Devrait être un nombre entre 1 et 5.

    --series, -s
        Indiquer la série à laquelle appartient ce livre numérique.

    --tags
        Déterminer les étiquettes du livre. Doit être une liste séparée par des virgules.

    --title, -t
        Indiquer le titre.

    --title-sort
        La version du titre à utilisé pour le tri. Si non spécifiée, et que le titre est spécifié, il sera généré automatiquement à partir du titre.

    --to-opf
        Spécifier le nom du fichier OPF. Les métadonnées seront écrites dans le fichier OPF.

    --version
        affiche le numéro de version du logiciel et quitte

Author
Kovid Goyal

Copyright
Kovid Goyal